# ControlPlaneAPI
ControlPlaneAPI

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.6.1
- Package version: 1.6.1
- Generator version: 7.10.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import ControlPlaneAPI
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import ControlPlaneAPI
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import ControlPlaneAPI
from ControlPlaneAPI.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost/ControlPlaneAPI
# See configuration.py for a list of all supported configuration parameters.
configuration = ControlPlaneAPI.Configuration(
    host = "http://localhost/ControlPlaneAPI"
)



# Enter a context with an instance of the API client
with ControlPlaneAPI.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = ControlPlaneAPI.NodeCreationApi(api_client)
    node_name = 'node_name_example' # str | The name of the node

    try:
        # 
        api_response = api_instance.delete_observability(node_name)
        print("The response of NodeCreationApi->delete_observability:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling NodeCreationApi->delete_observability: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost/ControlPlaneAPI*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*NodeCreationApi* | [**delete_observability**](docs/NodeCreationApi.md#delete_observability) | **DELETE** /observability | 
*NodeCreationApi* | [**delete_sriov**](docs/NodeCreationApi.md#delete_sriov) | **DELETE** /sriov | 
*NodeCreationApi* | [**post_observability**](docs/NodeCreationApi.md#post_observability) | **POST** /observability | 
*NodeCreationApi* | [**post_sriov**](docs/NodeCreationApi.md#post_sriov) | **POST** /sriov | 
*OrchestrateApi* | [**delete_webrtc**](docs/OrchestrateApi.md#delete_webrtc) | **DELETE** /webrtc | 
*OrchestrateApi* | [**post_webrtc**](docs/OrchestrateApi.md#post_webrtc) | **POST** /webrtc | 
*OrchestrateApi* | [**put_configure**](docs/OrchestrateApi.md#put_configure) | **PUT** /configure | Configures setup


## Documentation For Models

 - [Dummy](docs/Dummy.md)
 - [PutConfigureRequest](docs/PutConfigureRequest.md)
 - [PutConfigureRequestComponentsInner](docs/PutConfigureRequestComponentsInner.md)
 - [PutConfigureRequestComponentsInnerIoHandles](docs/PutConfigureRequestComponentsInnerIoHandles.md)
 - [PutConfigureRequestComponentsInnerIoHandlesInputInner](docs/PutConfigureRequestComponentsInnerIoHandlesInputInner.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Bearer"></a>
### Bearer

- **Type**: Bearer authentication (JWT)


## Author

luke.brown@3adesign.co.uk


